Loading...
Searching...
No Matches
array_view.h File Reference
`#include "platform.h"`
`#include "algorithm.h"`
`#include "array.h"`
`#include "error_handler.h"`
`#include "exception.h"`
`#include "hash.h"`
`#include "iterator.h"`
`#include "memory.h"`
`#include "nullptr.h"`
`#include "type_traits.h"`

Go to the source code of this file.

## Classes

class | etl::array_view_exception
| The base class for array_view exceptions. More...
class | etl::array_view_bounds
class | etl::array_view_uninitialised
class | etl::array_view_empty
| The exception thrown when the view is empty. More...
class | etl::array_view< T >
| Array view. More...

## Namespaces

namespace | etl

## Functions

template<typename T>
void | swap (etl::array_view< T > &lhs, etl::array_view< T > &rhs) ETL_NOEXCEPT
| Swaps the values.